# GLM Audio to Text - Documentation

> For the complete documentation index, see [llms.txt](/llms.txt). Markdown is available with `Accept: text/markdown` and `.md` URL variants.

Source: /docs/api-reference/model-apis-glm-asr

# GLM Audio to Text

POST

/

v3

/

glm-asr

GLM Audio to Text

cURL

```
curl --request POST \
--url https://api.novita.ai/v3/glm-asr \
--header 'Authorization: &#x3C;authorization>' \
--header 'Content-Type: &#x3C;content-type>' \
--data '
{
"file": "&#x3C;string>",
"prompt": "&#x3C;string>",
"hotwords": [
"&#x3C;string>"
]
}
'
```

```
import requestsurl = "https://api.novita.ai/v3/glm-asr"payload = { "file": "&#x3C;string>", "prompt": "&#x3C;string>", "hotwords": ["&#x3C;string>"]}headers = { "Content-Type": "&#x3C;content-type>", "Authorization": "&#x3C;authorization>"}response = requests.post(url, json=payload, headers=headers)print(response.text)
```

```
const options = { method: 'POST', headers: {'Content-Type': '&#x3C;content-type>', Authorization: '&#x3C;authorization>'}, body: JSON.stringify({file: '&#x3C;string>', prompt: '&#x3C;string>', hotwords: ['&#x3C;string>']})};fetch('https://api.novita.ai/v3/glm-asr', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
```

```
&#x3C;?php$curl = curl_init();curl_setopt_array($curl, [ CURLOPT_URL => "https://api.novita.ai/v3/glm-asr", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "POST", CURLOPT_POSTFIELDS => json_encode([ 'file' => '&#x3C;string>', 'prompt' => '&#x3C;string>', 'hotwords' => [ '&#x3C;string>' ] ]), CURLOPT_HTTPHEADER => [ "Authorization: &#x3C;authorization>", "Content-Type: &#x3C;content-type>" ],]);$response = curl_exec($curl);$err = curl_error($curl);curl_close($curl);if ($err) { echo "cURL Error #:" . $err;} else { echo $response;}
```

```
package mainimport (	"fmt"	"strings"	"net/http"	"io")func main() {	url := "https://api.novita.ai/v3/glm-asr"	payload := strings.NewReader("{\n \"file\": \"&#x3C;string>\",\n \"prompt\": \"&#x3C;string>\",\n \"hotwords\": [\n \"&#x3C;string>\"\n ]\n}")	req, _ := http.NewRequest("POST", url, payload)	req.Header.Add("Content-Type", "&#x3C;content-type>")	req.Header.Add("Authorization", "&#x3C;authorization>")	res, _ := http.DefaultClient.Do(req)	defer res.Body.Close()	body, _ := io.ReadAll(res.Body)	fmt.Println(string(body))}
```

```
HttpResponse&#x3C;String> response = Unirest.post("https://api.novita.ai/v3/glm-asr") .header("Content-Type", "&#x3C;content-type>") .header("Authorization", "&#x3C;authorization>") .body("{\n \"file\": \"&#x3C;string>\",\n \"prompt\": \"&#x3C;string>\",\n \"hotwords\": [\n \"&#x3C;string>\"\n ]\n}") .asString();
```

```
require 'uri'require 'net/http'url = URI("https://api.novita.ai/v3/glm-asr")http = Net::HTTP.new(url.host, url.port)http.use_ssl = truerequest = Net::HTTP::Post.new(url)request["Content-Type"] = '&#x3C;content-type>'request["Authorization"] = '&#x3C;authorization>'request.body = "{\n \"file\": \"&#x3C;string>\",\n \"prompt\": \"&#x3C;string>\",\n \"hotwords\": [\n \"&#x3C;string>\"\n ]\n}"response = http.request(request)puts response.read_body
```

200

```
{
"text": "&#x3C;string>"
}
```

Use the GLM-ASR-2512 model to transcribe audio files into text, supporting multi-language transcription.

##

[​](#request-headers)

Request Headers

[​](#param-content-type)

Content-Type

string

required

Supports: `application/json`

[​](#param-authorization)

Authorization

string

required

Bearer authentication format, for example: Bearer {{API Key}}.

##

[​](#request-body)

Request Body

[​](#param-file)

file

string

required

The audio file URL or Base64 encoded string to be transcribed. Supported audio formats: .wav / .mp3. Limitations: file size ≤ 25 MB, audio duration ≤ 30 seconds

[​](#param-prompt)

prompt

string

For long text scenarios, you can provide previous transcription results as context. Recommended to be less than 8000 characters.

[​](#param-hotwords)

hotwords

string[]

Hotword list to improve recognition accuracy for domain-specific vocabulary. Format example: [“person name”, “place name”]. Recommended not to exceed 100 items.Array length: 0 - 100

##

[​](#response)

Response

[​](#param-text)

text

string

The complete transcribed content of the audio

Last modified on July 3, 2026
